QGIS Application - Bug report #13737
Qgis not calculate correct min and max of rasters
2015-11-02 07:42 AM - malcom jamal

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.12.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21764
Description

inside qgis 2.12.0 and 2.10 min and max of a raster

https://www.dropbox.com/s/3epribc66crq8x0/dtm.ascii?dl=0

are not correctly calculated
layer name: dtm.ascii (EPSG 32632)
inside qgis metadata:

Driver

GDAL provider

AAIGrid
Arc/Info ASCII Grid

> STATISTICS MAXIMUM=4.9248112856775

STATISTICS _MEAN=-0.04695364544387

> STATISTICS MINIMUM=-7.7886757287503

STATISTICS_STDDEV=0.32477063586921
X:871Y:1270 Bande: 1

from command line with gdalinfo.exe data is correct:

C:\\Users\\stefano\\Desktop\\verifica Lidar>"C:\\Program Files\QGIS Lyon\\bin\\gdalinfo.exe" -mm "dtm.ascii"

Driver: AAIGrid/Arc/Info ASCII Grid
rinterp=Undefined

> computed Min/Max=-47.269,28.708

NoData Value=1.701410009187828e+038
https://www.dropbox.com/s/3epribc66crq8x0/dtm.ascii?dl=0

with grass r.report the data is correct:

Valid cells: 1105738
No-data cells: 432

> Minimum value: -47.2690322222
> Maximum value: 28.7078402464

Sum: -65042.2619428
Mean value: -0.0588224895434
Standard deviation: 0.799352883696

History

#1 - 2015-11-06 01:22 AM - Giovanni Manghi
- Category set to Rasters
- Status changed from Open to Feedback

The provided link does not work, could you fix it?

Anyway, did it worked correctly in previous qgis versions?

#2 - 2015-11-09 07:17 AM - malcom jamal

sorry file lost........

another file same problem.......

https://www.dropbox.com/s/hi95uwcut9w7vda/QGIS%20problem%20Bug%20report%20%2313737.zip?dl=0

inside Qgis min max are: -0.652444 0.354595

with raster layer statistics:

Valid cells: 19831

No-data cells: 44086

Minimum value: -0.99023763639
Maximum value: 0.595650260614
Sum: 495.608262957

Mean value: 0.0249915921011
Standard deviation: 0.20831555902

i have only tested with 2.12 and 2.10

many thanks

#3 - 2015-11-09 09:56 AM - Giovanni Manghi
- Resolution set to invalid
https://www.dropbox.com/s/hi95uwcut9w7vda/QGIS%20problem%20Bug%20report%20%2313737.zip?dl=0

- Status changed from Feedback to Closed

http://docs.qgis.org/2.8/en/docs/user_manual/working_with_raster/raster_properties.html#style-menu

qgis uses by default the "cumulative count cut" method to compute min/max, change it to "min/max" if you want to do symbology using a scale that uses

absolute min/max values.

#4 - 2016-04-20 09:55 AM - Idan Miara
- Status changed from Closed to Reopened

running: qgis v2.14.1 Win64.
| have a problem that might be connected:

On some HFA rasters Estimated (faster) Cumulative count is wrong.

| attach HFA RLE compressed raster: srtm_14_06.img
https://drive.google.com/open?id=0B2ko2gr1AYlyUURIcC2RpVWpIW|Q

run(from qgis\\bin): gdal_translate -of HFA srtm_14_06.img X.img
(should produce identical raster, just uncompressed)
Open both rasters with qgis. play with style options:

1. Min/Max + Actual(slower): [-20 - 2871]. (OK) - same for both files
2. Min/Max + Estimate(faster): [-20 - 2871]. (OK) - same for both files

3. Cumulative count cut 2%-98% + Actual(slower): 20 - 2056. (might be) - same for both files
4. Cumulative count cut 2%-98% + Estimate(faster): original: [20 - 2059]. converted: [3 - 1010]. (BUG!!!)

5. Cumulative count cut 0%-100% + Actual(slower): -20 - 2869. (a little odd, should be 2871) - same for both files
6. Cumulative count cut 0%-100% + Estimate(faster): original: [-9 - 2701]. converted: [-6 - 1227]. (BUG!!!)

#5 - 2017-05-01 01:06 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution changed from invalid to end of life

- Status changed from Reopened to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
